Plate Decode API Documentation
Welcome to Vehicle Databases API's Documentation
Plate Decode
GETJSON Response
Overview
This API provides VIN and basic vehicle information (make, model, year) by taking license plate number and state. This API covers USA states.
COVERAGE
This API supports US license plate and state.
SUPPORT
License Plate and US State
HTTP Request
Endpoint
GET https://api.vehicledatabases.com/plate-decode/{plate}/{state}Example — Python / Requests
Target:
Client:
import requests
response = requests.get(
"https://api.vehicledatabases.com/plate-decode/{plate}/{state}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
| Parameter | Required | Description |
|---|---|---|
| plate | ✓ | License Plate Number (e.g. 79567NF) |
| state | ✓ | US State Code (e.g. NY) |
JSON Response
This API returns the VIN and basic vehicle information for the given plate and state.
| Parameter | Description |
|---|---|
| status | success or error |
| data.intro.vin | Vehicle Identification Number |
| data.intro.license | Requested license plate number |
| data.intro.state | Requested US state code |
| data.basic.make | Vehicle make |
| data.basic.model | Vehicle model |
| data.basic.year | Vehicle model year |
Example Response
{
"status": "success",
"data": {
"intro": {
"vin": "54DC4W1D0SS207142",
"license": "79567NF",
"state": "NY"
},
"basic": {
"make": "ISUZU",
"model": "NPR HD",
"year": "2025"
}
}
}Error Responses
error
statusWhen an error occurs, the API returns an error status with a code and message.
| Code | Description | Resolution |
|---|---|---|
| 400 | No Record(s) were found. | Verify the plate and state are correct or try a different vehicle. |
| 401 | Invalid API x-authkey. | Provide a valid API x-authkey. |
| 404 | API endpoint not found | Check the API endpoint URL. |
| 429 | Rate limit exceeded | Reduce request frequency to comply with rate limits. |